<template>
  <div>
    <v-row>
      <v-col></v-col>
      <v-col cols="12" sm="9" md="9">
        <v-select
          v-model="objLocal.locateSelected"
          :items="locates"
          item-text="locateName"
          item-value="locateId"
          :rules="locateRule"
          label="พื้นที่ที่ต้องการลงล็อคเกอร์"
          rounded
          filled
        >
        </v-select>
      </v-col>
      <v-col></v-col>
    </v-row>
    <div align="center">
      <h3>จำนวนช่องล็อคเกอร์ที่ต้องการ</h3>
      <label id="room-group-error">
        * ช่องล็อคเกอร์รวมกันต้องมีอย่างน้อย 5 ช่องขึ้นไป
      </label>
    </div>
    <v-row>
      <v-col></v-col>
      <v-col cols="12" sm="3" md="3">
        <v-text-field
          rounded
          filled
          v-model="objLocal.sAmount"
          label="Size S"
          type="number"
          :rules="roomAmountRule"
        >
        </v-text-field>
      </v-col>
      <v-col cols="12" sm="3" md="3">
        <v-text-field
          v-model="objLocal.mAmount"
          label="Size M"
          type="number"
          rounded
          filled
          :rules="roomAmountRule"
        >
        </v-text-field>
      </v-col>
      <v-col cols="12" sm="3" md="3">
        <v-text-field
          v-model="objLocal.lAmount"
          label="Size L"
          rounded
          filled
          type="number"
          :rules="roomAmountRule"
        >
        </v-text-field>
      </v-col>
      <v-col></v-col>
    </v-row>
    <v-row>
      <v-col></v-col>
      <v-col cols="12" sm="9" md="9">
        <v-textarea
          rounded
          filled
          name="input-7-4"
          v-model="objLocal.optionalRequest"
          label="ความต้องการเพิ่มเติม"
        >
        </v-textarea>
      </v-col>
      <v-col></v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  props: ["obj", "locates"],
  data() {
    return {
      locateRule: [(v) => !!v || "กรุณาเลือกพื้นที่"],
      areaRule: [(v) => !!v || "กรุณาเลือกช่องล็อคเกอร์"],
      roomAmountRule: [
        (v) => (v && v >= 0) || "จำนวนช่องล็อคเกอร์ขั้นต่ำคือ 0 เท่านั้น",
        (v) => (v && v <= 10) || "จำนวนช่องล็อคเกอร์ไม่เกิน 10 ช่องเท่านั้น",
      ],
    };
  },
  model: {
    prop: "obj",
    event: "objChange",
  },
  computed: {
    objLocal: {
      get: function () {
        return this.obj;
      },
      set: function (value) {
        this.$emit("objChange", value);
      },
    },
  },
};
</script>

<style>
</style>